import { EventEmitter } from './';
import type { GameStatus } from './';
export declare type GameEvent<Path, Val> = {
    path: Path;
    val: Val;
};
declare type GameEventsTypes<EventTypes extends Record<string, any>> = {
    '*': GameEvent<keyof EventTypes, EventTypes[keyof EventTypes]>;
} & {
    [Path in keyof EventTypes]: GameEvent<Path, EventTypes[Path]>;
};
export declare class GameEvents<EventTypes extends Record<string, any>> extends EventEmitter<GameEventsTypes<EventTypes>> {
    #private;
    constructor(features: string[], gameStatus: GameStatus);
    /** Copy of current state, both info updates and last event values */
    get state(): Partial<EventTypes>;
    /**
     * Call overwolf.games.events.setRequiredFeatures and bind listeners
     * @see https://overwolf.github.io/docs/api/overwolf-games-events#setrequiredfeaturesfeatures-callback
     */
    start(): Promise<void>;
    /** Remove all listeners and clear the {@link state} */
    stop(): Promise<void>;
    /** Remove all listeners and clear the {@link state} */
    destroy(): Promise<void>;
}
export {};
//# sourceMappingURL=game-events.d.ts.map