/// <reference types="@overwolf/types" />
import { EventEmitter } from './event-emitter';
declare type GameStatusEventTypes = {
    focus: boolean;
    running: boolean;
    resolutionChanged: overwolf.games.RunningGameInfo | null;
    gameChanged: overwolf.games.RunningGameInfo | null;
    '*': overwolf.games.RunningGameInfo | null;
};
export declare class GameStatus extends EventEmitter<GameStatusEventTypes> {
    #private;
    isInFocus: boolean;
    isRunning: boolean;
    gameInfo: overwolf.games.RunningGameInfo | null;
    constructor();
    /** Get gameID of current or last running game */
    get gameID(): number | null;
    start(): Promise<void>;
    /** Remove all listeners */
    destroy(): void;
}
export {};
//# sourceMappingURL=game-status.d.ts.map