import { EventEmitter } from '.';
import type { LauncherStatus } from '.';
export declare type LauncherEvent<Path, Val> = {
    path: Path;
    val: Val;
};
declare type LauncherEventsTypes<EventTypes extends Record<string, any>> = {
    '*': LauncherEvent<keyof EventTypes, EventTypes[keyof EventTypes]>;
} & {
    [Path in keyof EventTypes]: LauncherEvent<Path, EventTypes[Path]>;
};
export declare class LauncherEvents<EventTypes extends Record<string, any>> extends EventEmitter<LauncherEventsTypes<EventTypes>> {
    #private;
    constructor(launcherID: number, features: string[], launcherStatus: LauncherStatus, logging?: boolean);
    /** Copy of current state, both info updates and last event values */
    get state(): Partial<EventTypes>;
    /**
     * Call overwolf.games.launchers.events.setRequiredFeatures and bind listeners
     * @see https://overwolf.github.io/docs/api/overwolf-games-events#setrequiredfeaturesfeatures-callback
     */
    start(): Promise<void>;
    /** Remove all listeners and clear the {@link state} */
    stop(): Promise<void>;
    /** Remove all listeners and clear the {@link state} */
    destroy(): Promise<void>;
}
export {};
//# sourceMappingURL=launcher-events.d.ts.map