/// <reference types="@overwolf/types" />
import { EventEmitter } from './event-emitter';
declare type LauncherStatusEventTypes = {
    login: overwolf.profile.LoginStateChangedEvent;
    subscription: overwolf.profile.subscriptions.SubscriptionChangedEvent;
};
export declare class Profile extends EventEmitter<LauncherStatusEventTypes> {
    #private;
    constructor();
    start(): void;
    /** Remove all listeners */
    destroy(): void;
    getCurrentUser(): Promise<overwolf.profile.GetCurrentUserResult>;
    getActivePlans(): Promise<overwolf.profile.subscriptions.GetActivePlansResult>;
    getDetailedActivePlans(): Promise<overwolf.profile.subscriptions.GetDetailedActivePlansResult>;
    showSubscriptionsInApp(planId: number, theme: overwolf.profile.subscriptions.inapp.Theme): Promise<void>;
    hideSubscriptionsInApp(): Promise<void>;
}
export {};
//# sourceMappingURL=profile.d.ts.map